// Model of consumption in dependence on gas, revs and altitude
// - first model order
// ----------------------------------------------------------
exec SCIHOME/ScIntro.sce, mode(0)

load _data/dataKF.dat
dt=DataKF.dataOrig([1 4 8 15],1:10:10*500);

y=dt(1,:);
x=dt(2:4,:);

Y=y';
X=[x' ones(y)'];

th=inv(X'*X)*(X'*Y)

yp=X*th;

set(scf(),'position',[500 100 600 500])
plot([y' yp])

e=y'-yp;
SE=e'*e/length(y)
