// Prediction of daily traffic intnsity
// - based on daly course
// - one-step prediction
// ----------------------------------------------------------
exec SCIHOME/ScIntro.sce, mode(0)

load _data/dataTunel.dat

y=dt(1,((3*288+1):35*288));

yy=[];
for k=([1 2 3 4 5  8 9 10 11 12  15 16 17 18 19  22 23 24 25 26]+2)
  yy=[yy; y(((k-1)*288+1):(k*288))];
end
yc=mean(yy,1);
yf=([yc(1:286) 0 0]+[yc(1:287) 0]+yc+[0 yc(1:287)]+[0 0 yc(1:286)])/5;

//plot(yf)

V=[];
for t=2:288
  Ps=[y(t) y(t-1) yf(t) 1]';
  V=V+Ps*Ps';
end

Vyp=V(2:$,1);
Vp=V(2:$,2:$);

th=inv(Vp)*Vyp

for t=2:288
  yp(t)=[y(t-1) yf(t) 1]*th;
end

plot(1:288,y(1:288),1:288,yp)
